<?php
# 基础配置，此处的配置所有的环境都一样，自动加入到env中

return array
(
	# 名称
	'name' => 'Dever开发框架',
	# 基本描述
	'desc' => '专注编程与开发的架构',
	# copyright
	'copyright' => '© 2015-2020 dever.cc,Inc. Licensed under MIT license.',
	# github
	'github' => 'https://github.com/dever-main',
	# web
	'web' => 'http://www.dever.cc/',
	
	
	# 语言包设置
	'lang' => 'zh-cn',
	# api是否开启，默认关闭，如果开启，则所有数据接口必须接入api
	'api' => false,
	# 版本配置
	'version' => '1.0.0 Beta',
	
	# 模板（assets）的所在目录,默认为html
	'html' => 'html',
	
	# 使用的模板 注意：定义这个之后，将会强制将本项目模板变成这个 定义成数组的话则为pc和手机版
	//'template' => array('pc', 'm'),
	
	# 定义这个之后，将强制将template的目录改为这个，不定义或不填写，则强制使用为template定义
	//'service' => 'pc',

	# 替换设置 一般用于替换资源，将模板中的（html中的）js等相对url换成绝对url，如果不定义，则默认为../js这样的
	'replace' => array
	(
		'css' => '../css/',
		'js' => '../js/',
		'img' => array('../image/', '../img/'),
		'images' => '../images/',
		'lib' => '../lib/',
		'public' => '../public/',
		'font' => '../fonts/',
	),

	# url默认参数，所有Maze::url生成的链接都会加上这个参数
	//'url' => 'loading=content',
	
	# 开启url中某个字段加密
    //'url_encode' => array('id'),
    # url的原始路径里包含什么字符，则不加密
    'url_encode_filter' => array('tag'),
    # 使用加密解密的方法
    'url_encode_method' => array('Dever::idtostr', 'Dever::strtoid'),

	# 是否启用layout 如启用，填写要替换的class或者id即可，具体效果可参考youtube，只加载部分内容，前端请加载pjax.js
	//'layout' => '.content',
	
	# 是否启用自动过滤功能，必须加载manage包，目前可选的值为：manage（自带的过滤功能，非常简单，小型站点可以开启），bao10jie（必须申请账号）
	//'filter' => array('manage' => 1,'bao10jie' => '账号'),
	//'filter' => array('manage' => 1),
);

